List payment links
curl --request GET \
--url https://checkout.kalixo.io/v1/payment-links \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://checkout.kalixo.io/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/payment-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/payment-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "list",
"data": [
{
"id": "plink_01JABCDEF",
"object": "payment_link",
"url": "<string>",
"status": "active",
"amount": 1,
"currency": "EUR",
"country": "NL",
"reference": "<string>",
"reusable": true,
"capture_method": "automatic",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"return_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"payments_count": 123
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "amount_locked",
"message": "<string>",
"request_id": "<string>",
"decline_code": "<string>",
"param": "<string>"
}
}Payment links
List payment links
GET
/
v1
/
payment-links
List payment links
curl --request GET \
--url https://checkout.kalixo.io/v1/payment-links \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://checkout.kalixo.io/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://checkout.kalixo.io/v1/payment-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://checkout.kalixo.io/v1/payment-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "list",
"data": [
{
"id": "plink_01JABCDEF",
"object": "payment_link",
"url": "<string>",
"status": "active",
"amount": 1,
"currency": "EUR",
"country": "NL",
"reference": "<string>",
"reusable": true,
"capture_method": "automatic",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"return_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"payments_count": 123
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "amount_locked",
"message": "<string>",
"request_id": "<string>",
"decline_code": "<string>",
"param": "<string>"
}
}Authorizations
Secret key, kc_sk_test_... or kc_sk_live_.... Server-side only.
Query Parameters
Required range:
1 <= x <= 100Cursor from a previous page's next_cursor.